Summary:        Unicode Collation Algorithm
Name:           perl-Unicode-Collate
Version:        1.31
Release:        6%{?dist}
License:        (GPL+ or Artistic) and Unicode
URL:            https://metacpan.org/release/Unicode-Collate
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SADAHIRO/Unicode-Collate-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:  coreutils findutils
BuildRequires:  perl-devel perl-generators perl-interpreter perl(Carp)
BuildRequires:  perl(constant) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Spec) perl(strict) perl(warnings)
BuildRequires:  perl(base) perl(Unicode::Normalize) perl(XSLoader)
Requires:       perl(Unicode::Normalize)

%description
This module is a Perl implementation of Unicode Technical Standard #10 
(Unicode Collation Algorithm).

%prep
%autosetup -n Unicode-Collate-%{version}

rm Collate/Locale/*

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl mklocale
mv Locale/*.pl Collate/Locale
mv Korean.pm Collate/CJK

perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="%{optflags}"
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Unicode*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.31-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.31-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Aug 12 2022 Wang Guodong <gordonwwang@tencent.com> - 1.31-1
- package init.
